Subject: Re: bug#73853: 31.0.50; Should and-let* become a synonym for when-let*?

From: Michael Albinus <[email-masked]>
Date: Sun, 27 Oct 2024 11:12:58 +0100

Michael Heerdegen via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

Hi Michael,

> Thinking the first example further we could introduce parallel versions
> and name them `if-let', `when-let' and `and-let'.  They would be really
> analogue to `let' with respect to binding list semantics - compared to
> the non-parallel counterparts `if-let*' that are what we have now.

Please no more incompatibilities with older Emacsen except when
absolutely necessary. It's already hard enough for packages developed
outside the Emacs repo.

> Michael.

Best regards, Michael.